<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ser="http://vessel.service.esb.tecplata.com/">
	<xsl:output method="xml" indent="yes" />
	<xsl:template match="/query-response/data-table/rows">
		<!-- <soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:ser="http://service.esb.tecplata.com/">
			<soapenv:Header />
			<soapenv:Body> -->
				<ser:getVesselVisitsByDateResponse>
					<xsl:apply-templates />
				</ser:getVesselVisitsByDateResponse>
			<!-- </soapenv:Body>
		</soapenv:Envelope> -->
	</xsl:template>
	<xsl:template match="row">
		<vesselVisitor>
			<xsl:choose><xsl:when test="string(child::field[position()=8]/text()) != ''"><ata>20<xsl:call-template name="FormatDate">
					<xsl:with-param name="DateTime" select="child::field[position()=8]/text()" />
				</xsl:call-template></ata></xsl:when></xsl:choose>
			<xsl:choose><xsl:when test="string(child::field[position()=9]/text()) != ''"><atd>20<xsl:call-template name="FormatDate">
					<xsl:with-param name="DateTime" select="child::field[position()=9]/text()" />
				</xsl:call-template></atd></xsl:when></xsl:choose>
			<xsl:choose><xsl:when test="string(child::field[position()=6]/text()) != ''"><eta>20<xsl:call-template name="FormatDate">
					<xsl:with-param name="DateTime" select="child::field[position()=6]/text()" />
				</xsl:call-template></eta></xsl:when></xsl:choose>
			<xsl:choose><xsl:when test="string(child::field[position()=7]/text()) != ''"><etd>20<xsl:call-template name="FormatDate">
					<xsl:with-param name="DateTime" select="child::field[position()=7]/text()" />
				</xsl:call-template></etd></xsl:when></xsl:choose>
			<inboundVyg><xsl:value-of select="child::field[position()=4]/text()" /></inboundVyg>
<!-- 			<id></id> -->
			<line><xsl:value-of select="child::row[position()=2]/text()" /></line>
			<outboundVyg><xsl:value-of select="child::field[position()=5]/text()" /></outboundVyg>
			<service><xsl:value-of select="child::field[position()=10]/text()" />	</service>
			<vesselName><xsl:value-of select="child::field[position()=3]/text()" /></vesselName>
			<visit><xsl:value-of select="child::field[position()=1]/text()" /></visit>
		</vesselVisitor>
	</xsl:template>
	
	<xsl:template match="columns" />
	
	<xsl:template name="FormatDate">
	<xsl:param name="DateTime" />
	<!-- MI FORMATO DE ENTRADA 13-mar-30 1212 -->
	
	<!-- input format Jan-14-2006 08:55:22 -->
	<!-- new date format 2006-01-14T08:55:22 -->
	<xsl:variable name="year">
		<xsl:value-of select="substring-before($DateTime,'-')" />
	</xsl:variable>
	<xsl:variable name="year-temp">
		<xsl:value-of select="substring-after($DateTime,'-')" />
	</xsl:variable>
	<xsl:variable name="mo">
		<xsl:value-of select="substring-before($year-temp,'-')" />
	</xsl:variable>
	<xsl:variable name="month-temp">
		<xsl:value-of select="substring-after($mo,'-')" />
	</xsl:variable>
	<xsl:variable name="day">
		<xsl:value-of select="substring($DateTime,8,2)" />
	</xsl:variable>
	<xsl:variable name="time">
		<xsl:value-of select="substring-after($year-temp,' ')" />
	</xsl:variable>
	<xsl:variable name="hh">
		<xsl:value-of select="substring($time,1,2)" />
	</xsl:variable>
	<xsl:variable name="mm">
		<xsl:value-of select="substring($time,3,2)" />
	</xsl:variable>
	<xsl:variable name="ss">00</xsl:variable>
	
	<xsl:value-of select="$year" /><xsl:value-of select="'-'" />
	<xsl:choose>
		<xsl:when test="$mo = 'ene'">01</xsl:when>
		<xsl:when test="$mo = 'feb'">02</xsl:when>
		<xsl:when test="$mo = 'mar'">03</xsl:when>
		<xsl:when test="$mo = 'abr'">04</xsl:when>
		<xsl:when test="$mo = 'may'">05</xsl:when>
		<xsl:when test="$mo = 'jun'">06</xsl:when>
		<xsl:when test="$mo = 'jul'">07</xsl:when>
		<xsl:when test="$mo = 'ago'">08</xsl:when>
		<xsl:when test="$mo = 'sep'">09</xsl:when>
		<xsl:when test="$mo = 'oct'">10</xsl:when>
		<xsl:when test="$mo = 'nov'">11</xsl:when>
		<xsl:when test="$mo = 'dic'">12</xsl:when>
	</xsl:choose>
	<xsl:value-of select="'-'" />
	<xsl:if test="(string-length($day) &lt; 2)">
		<xsl:value-of select="0" />
	</xsl:if>
	<xsl:value-of select="$day" />
	<xsl:value-of select="'T'" />
	<xsl:value-of select="$hh" />
	<xsl:value-of select="':'" />
	<xsl:value-of select="$mm" />
	<xsl:value-of select="':'" />
	<xsl:value-of select="$ss" />
</xsl:template>
	
	
</xsl:stylesheet>